Bug 843059 - Content Search - Packages: Auto Complete widget should provide only refined content depending on Repos
Content Search - Packages: Auto Complete widget should provide only refined ...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Dmitri Dolguikh
Kedar Bidarkar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 09:18 EDT by Kedar Bidarkar
Modified: 2014-09-18 11:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The auto-complete widget provided the list of repos from products, even after "product" selection. Similarly, the auto-complete widget for "Packages" provided a list of all packages from all repos, even after repo selection. This issue is still outstanding and is targeted to be fixed in a later release.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
auto-complete widget could provide the listing of irrelevent repos (113.20 KB, image/png)
2012-07-25 09:18 EDT, Kedar Bidarkar
no flags Details

  None (edit)
Description Kedar Bidarkar 2012-07-25 09:18:49 EDT
Created attachment 600297 [details]
auto-complete widget could provide  the listing of irrelevent repos

Description of problem:

Content Search - Packages:  Auto Complete widget should provide only refined content depending on Products and Repos.



Version-Release number of selected component (if applicable):
katello-0.2.47-1.git.225.b3aa579.el6_3.noarch

How reproducible:

a) from Products: auto-complete widget, selected katello and add
b) from Repos:  auto-complete widget, could select "F15 x86_64" ( Product: pulp)
c) from Packages: auto-complete widget, could select any package.

I feel the purpose of the [Search : Products and Repos ], during  Search : Packages is to provide more refined search, using products and repos.

But we could still go ahead and add irrelevant Repos, which are not under the Products selected in the above search.





Steps to Reproduce:
1.
2.
3.
  
Actual results:

Auto-complete widget provides the listing of "repos" from all the "products", even after product selection.

Same applies for auto-complete widget for "Packages"

Expected results:

Auto-complete widget should only provide the repos from the selected Products

Additional info:

I feel this bug can at least be considered for RFE
Comment 2 Kedar Bidarkar 2012-07-25 10:03:53 EDT
Just realised that the content selected under "Products" is irrelevant for this search.


Auto Complete widget should provide only refined content depending upon the packages in Repos, selected instead of listing all packages from all Repos.
Comment 3 Kedar Bidarkar 2012-07-25 10:27:39 EDT
Issue with "Product search"

a) Either, Product search needs to be relevant while, searching for Repos and Packages. OR

b) It needs to be removed [ it's listing], when searching for Repos and Packages, as it's very misleading, because data entered in it is not taken into account during the search.



Auto Complete widget should provide only refined content depending upon the packages in Repos, instead of listing all packages from all Repos.

https://bugzilla.redhat.com/show_bug.cgi?id=843064
Comment 4 Dmitri Dolguikh 2012-09-11 12:30:28 EDT
fixed in e1a1251b217daae0395cac43c027b3e158388004
Comment 6 Kedar Bidarkar 2012-09-23 09:52:22 EDT
But we could still go ahead and add irrelevant Repos, which are not under the Products selected in the above search.

I believe the auto-complete widget for Repos must read the above Product 
selected and list only those repos, which are under that product. 

For small number of repos under a product, this would not be an issue, but for 
large repos and numerous products, would not solve the purpose of Auto-complete Search widget of Repos, which would be listing too many repos.


Summary : Auto-complete Widget must not list irrelevant Repos, once a Product has been selected.
Comment 7 Dmitri Dolguikh 2012-10-01 10:15:21 EDT
fixed in 81cdaeacb403da6203f65b255a9d98c20dc4db2b
Comment 10 Kedar Bidarkar 2012-10-04 08:05:37 EDT
Same issue as mentioned is comment6.

I believe the auto-complete widget for Repos must read the above Product 
selected and list only those repos, which are under that product.
Comment 12 Mike McCune 2012-10-09 17:00:02 EDT
no more time to work on this in 1.1, moving this bug to 2.0.  

I agree that it is still not working as we expect, you can add repos from other products even if you are filtering based on a specific product.  I tested with the latest version and it still doesn't match the list of repos in the auto complete as having any relation to the products
Comment 15 errata-xmlrpc 2012-12-04 14:48:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 16 Mike McCune 2013-08-16 14:04:02 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.